import { EventEmitter } from "@angular/core";
import { TranslateService } from "@ngx-translate/core";
import { Subscription } from 'rxjs/Subscription';
export declare class InlineAlertComponent {
    private translate;
    inlineAlertType: string;
    inlineAlertClosable: boolean;
    alertClose: boolean;
    displayedText: string;
    showCancelAction: boolean;
    useAppLevelStyle: boolean;
    timer: Subscription | null;
    count: number;
    blinking: boolean;
    confirmEvt: EventEmitter<boolean>;
    constructor(translate: TranslateService);
    readonly errorMessage: string;
    showInlineError(error: any): void;
    showInlineConfirmation(warning: any): void;
    showInlineSuccess(info: any): void;
    close(): void;
    blink(): void;
    confirmCancel(): void;
}
