export declare class OperateInfo {
    name: string;
    state: string;
    data: {
        [key: string]: string | number;
    };
    timeStamp: number;
    timeDiff: string;
    constructor();
}
export declare function operateChanges(list: OperateInfo, state?: string, errorInfo?: string, timeStamp?: 0): OperateInfo;
export declare const OperationState: {
    progressing: string;
    success: string;
    failure: string;
    interrupt: string;
};
