export declare const supportedLangs: string[];
export declare const enLang = "en-us";
export declare const languageNames: {
    "en-us": string;
    "zh-cn": string;
    "es-es": string;
    "fr-fr": string;
};
export declare const enum AlertType {
    DANGER = 0,
    WARNING = 1,
    INFO = 2,
    SUCCESS = 3,
}
export declare const dismissInterval: number;
export declare const httpStatusCode: {
    "Unauthorized": number;
    "Forbidden": number;
};
export declare const enum ConfirmationTargets {
    EMPTY = 0,
    PROJECT = 1,
    PROJECT_MEMBER = 2,
    USER = 3,
    POLICY = 4,
    TOGGLE_CONFIRM = 5,
    TARGET = 6,
    REPOSITORY = 7,
    TAG = 8,
    CONFIG = 9,
    CONFIG_ROUTE = 10,
    CONFIG_TAB = 11,
}
export declare const enum ActionType {
    ADD_NEW = 0,
    EDIT = 1,
}
export declare const ListMode: {
    READONLY: string;
    FULL: string;
};
export declare const CommonRoutes: {
    SIGN_IN: string;
    EMBEDDED_SIGN_IN: string;
    SIGN_UP: string;
    EMBEDDED_SIGN_UP: string;
    HARBOR_ROOT: string;
    HARBOR_DEFAULT: string;
};
export declare const enum ConfirmationState {
    NA = 0,
    CONFIRMED = 1,
    CANCEL = 2,
}
export declare const enum ConfirmationButtons {
    CONFIRM_CANCEL = 0,
    YES_NO = 1,
    DELETE_CANCEL = 2,
    CLOSE = 3,
    REPLICATE_CANCEL = 4,
}
export declare const LabelColor: {
    'color': string;
    'textColor': string;
}[];
