import { EventEmitter, AfterViewInit } from "@angular/core";
import { Subscription } from "rxjs/Subscription";
import { TranslateService } from "@ngx-translate/core";
import { ScrollPosition } from "../service/interface";
export declare class GridViewComponent implements AfterViewInit {
    private translate;
    loading: boolean;
    totalCount: number;
    currentPage: number;
    pageSize: number;
    expectScrollPercent: number;
    withAdmiral: boolean;
    items: any[];
    loadNextPageEvent: EventEmitter<any>;
    cards: any;
    itemsHolder: any;
    gridItemTmpl: any;
    _items: any[];
    cardStyles: any;
    itemsHolderStyle: any;
    layoutTimeout: any;
    querySub: Subscription;
    routerSub: Subscription;
    totalItemsCount: number;
    loadedPages: number;
    nextPageLink: string;
    hidePartialRows: boolean;
    loadPagesTimeout: any;
    CurrentScrollPosition: ScrollPosition;
    preScrollPosition: ScrollPosition;
    constructor(translate: TranslateService);
    ngAfterViewInit(): void;
    onScroll(event: any): void;
    isScrollDown(): boolean;
    isScrollExpectPercent(): boolean;
    onResize(event: any): void;
    throttleLayout(): void;
    readonly isFirstPage: boolean;
    layout(): void;
    onCardEnter(i: number): void;
    onCardLeave(i: number): void;
    trackByFn(index: number, item: any): number;
}
