import { TranslateLoader } from "@ngx-translate/core";
import "rxjs/add/observable/of";
import { Observable } from "rxjs/Observable";
import { IServiceConfig } from "../service.config";
/**
 * Declare a translation loader with local json object
 *
 * @export
 * @class TranslatorJsonLoader
 * @extends {TranslateLoader}
 */
export declare class TranslatorJsonLoader extends TranslateLoader {
    private config;
    constructor(config: IServiceConfig);
    getTranslation(lang: string): Observable<any>;
}
