/**
 * To handle the error message body
 *
 * @export
 * @returns {string}
 */
export declare const errorHandler: (error: any) => string;
export declare class CancelablePromise<T> {
    constructor(promise: Promise<T>);
    private wrappedPromise;
    private isCanceled;
    getPromise(): Promise<T>;
    cancel(): void;
}
