import { EventEmitter, OnInit } from '@angular/core';
import { TagService, Tag } from '../service/index';
import { ErrorHandler } from '../error-handler/index';
import { Label } from "../service/interface";
export declare class TagDetailComponent implements OnInit {
    private tagService;
    private errorHandler;
    _highCount: number;
    _mediumCount: number;
    _lowCount: number;
    _unknownCount: number;
    labels: Label;
    tagId: string;
    repositoryId: string;
    withAdmiral: boolean;
    withClair: boolean;
    tagDetails: Tag;
    backEvt: EventEmitter<any>;
    constructor(tagService: TagService, errorHandler: ErrorHandler);
    ngOnInit(): void;
    onBack(): void;
    getPackageText(count: number): string;
    readonly author: string;
    readonly highCount: number;
    readonly mediumCount: number;
    readonly lowCount: number;
    readonly unknownCount: number;
    readonly scanCompletedDatetime: Date;
    readonly suffixForHigh: string;
    readonly suffixForMedium: string;
    readonly suffixForLow: string;
    readonly suffixForUnknown: string;
}
